Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.sourcelookup
Interface ISourcePathComputer

All Superinterfaces:
  ISourcePathComputerDelegate

public interface ISourcePathComputer
extends ISourcePathComputerDelegate

A source path computer computes the default source lookup path (set of source containers that should be considered) for a launch configuration.

A source path computer is contributed in plug-in XML via the `sourcePathComputers` extension point, that provides a delegate to compute the path specific to a launch configuration. Following is an example contribution.

     <extension point="org.eclipse.debug.core.sourcePathComputers">
        	<sourcePathComputer
        		id="org.eclipse.example.exampleSourcePathComputer"
        		class="org.eclipse.example.SourcePathComputer">
        	</sourcePathComputer>
     </extension>

A source path computer can be associated with a launch configuration type via the `sourcePathComputerId` attribute of a launch configuration type extension. As well, a launch configuration can specify its own source path computer to use via the `ATTR_SOURCE_PATH_COMPUTER_ID` attribute.

Since:
  3.0

Field Summary
`static String` | `ATTR_SOURCE_PATH_COMPUTER_ID` Launch configuration attribute to specify a source path computer that should be used for a launch configuration.

Method Summary
`String` | `getId()` Returns the unique identifier for this source path computer.

Methods inherited from interface org.eclipse.debug.core.sourcelookup.ISourcePathComputerDelegate
`computeSourceContainers`

Field Detail

### ATTR_SOURCE_PATH_COMPUTER_ID

    public static final String ATTR_SOURCE_PATH_COMPUTER_ID

  Launch configuration attribute to specify a source path computer that should be used for a launch configuration. The value is an identifer of a source path computer extension, or unspecified (`null`), if the default source path computer should be used. A default source path computer can be associated with a launch configuration type.

Method Detail

### getId

    public String getId()

  Returns the unique identifier for this source path computer.

  Returns:
    the unique identifier for this source path computer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.